# @sapphirecode/consts

version: 1.2.x

useful constant values that are used in many applications

## Installation

npm:

> npm i --save @sapphirecode/consts

yarn:

> yarn add @sapphirecode/consts

## Usage

there are many constants, too many to document by hand so I suggest you use
autocomplete or look into the source.

Http status codes:

```js
const {http} = require('@sapphirecode/consts');

console.log(http.status_ok); // 200
```

Time

```js
const {time} = require('@sapphirecode/consts');

console.log(time.base_ms.minute); // 60000
```

The time module contains a few precalculated bases like base_s, base_ms, base_us
and base_ns. Those allow you to use timers without calculating everything
first.

> timer(base_ms.week) instead of timer(1000 x 60 x 60 x 24 x 7) or
> timer(base_us.week) if your timer counts in microseconds

time intervals above one week are functions, because they require additional
information to be calculated

```js
console.log(time.base_ms.year(2020));
console.log(time.base_ms.year(12, 2020));
```

## License

MIT © Timo Hocker <timo@scode.ovh>
